{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="https://unpkg.com/@bootstrapstudio/bootstrap-better-nav/dist/bootstrap-better-nav.min.css">
<link rel="stylesheet" href="{{ url_for('static',filename='css/home.css') }}">
<link rel="stylesheet" href="{{ url_for('static',filename='css/sticky-dark-top-nav-with-dropdown.css') }}">
{% endblock %}

{% block main %}

<section class="d-flex justify-content-center edt">
    <h2 id="la_semaine">Semaine du {{week_start}} au {{week_end}}</h2>
    <div class="row row-cols-7" id="tableau-session">
        {% for jours in semaine %}
        <div class="col-sm col-jours-semaine">
            <div class="row jours-semaine">
                <h1>{{jours}}</h1>
            </div>
            {% for sessions in sessions_par_jour[jours] %}
            {% for session in sessions %}
            <div class="row case-tableau">
                <p>Soirée {{ session.jeu_session.titre }} chez {{ session.createur_session.pseudo }} à {{
                    session.heure_deb_session }}h</p>
            </div>
            {% endfor %}
            {% endfor %}
        </div>
        {% endfor %}
        {% if form != null %}
        <form action="" method='POST' name="semaine" id="selecteur-semaine">
            {{ form.csrt_token }}
            {{ form.date.label }}</br>
            {{form.date(class='datepicker')}} {{form.hidden_tag()}}
            {{form.valider}}
        </form>
        {% endif %}
    </div>

</section>
<section class="d-flex justify-content-center" id="search-bar">
    <form method="POST" action="{{ url_for('search') }}">
        <div class="input-group d-flex divForm">
            <div class="input-group-prepend">
                <span class="input-group-text">
                    <i class="fa fa-search"></i>
                </span>
            </div>
            <input class="form-control" name="research" type="search" placeholder="Je recherche...">
            <select name="type_research">
                <option value="titre">Titre</option>
                <option value="auteur">Auteur</option>
                <option value="nombre_minimum_de_joueurs">Nombre minimum de joueurs</option>
                <option value="nombre_maximum_de_joueurs">Nombre maximum de joueurs</option>
                <option value="duree_moyenne">Durée moyenne</option>
                <option value="type">Type</option>
                <option value="complexite">Complexite</option>
                <option value="age_min">Age minimum</option>
            </select>
            <div class="input-group-append">
                <button class="btn btn-primary" type="submit">
                    Rechercher
                </button>
            </div>
        </div>
    </form>
</section>
<section class="d-flex justify-content-center" id="tri-bar">
    <form method="POST" action="{{ url_for('tri') }}">
        <div class="input-group d-flex divForm">

            <div class="input-group d-flex divForm">
                <h3>Trier par : </h3>
                <select name="type_tri">
                    <option value="auteur">Auteur</option>
                    <option value="nombre_minimum_de_joueurs">Nombre minimum de joueurs</option>
                    <option value="nombre_maximum_de_joueurs">Nombre maximum de joueurs</option>
                    <option value="duree_moyenne">Durée moyenne</option>
                    <option value="complexite">Complexite</option>
                    <option value="type">Type</option>
                    <option value="age_min">Age minimum</option>
                </select>
                <div class="input-group-append">
                    <button class="btn btn-primary" type="submit">
                        ok
                    </button>
                </div>
            </div>
        </div>
    </form>
</section>
<section class="d-flex justify-content-center" id="liste-jeux">
    {% for titre in la_liste %}
    <div class="container justify-content-center">
        <div class="row row-cols-sm-2 row-cols-md-3 row-cols-lg-5 divJeu">
            <div class="col jeux">
                <a class="liens-jeux" href="{{ url_for('getPageGame', titre = titre.titre) }}">
                    <img src="{{ titre.url_img }}">
                    <p>{{ titre.titre }}</p>
                </a>
            </div>
        </div>
    </div>
    {% endfor %}
</section>
{% endblock %}

{% block script %}
<script src="https://unpkg.com/@bootstrapstudio/bootstrap-better-nav/dist/bootstrap-better-nav.min.js"></script>
{% endblock %}